<p align="center">
  <a href="https://wawjs.wiki/" target="_blank"><img src="https://wawjs.wiki/wiki/img/logo.svg" width="120" alt="waw Logo" /></a>
</p>
<p align="center"><a href="https://wawjs.wiki" target="_blank">waw</a> is the open-source web, mobile and desktop app development framework that makes it easy building efficient and scalable applications</p>

## Getting Started
### Framework installation which require node.js
`npm i -g waw`

### Verify waw is installed and check waw version
`waw version`

### Create new waw project
`waw new`

### To update waw framework and global modules
`waw update`

### To start project with nodemon
`waw`

### To start project with pm2
`waw start`

### Change css framework
`waw css`

## Popular Modules
| Part | Description | Issues | Forks | Stars | License |
| ------- | ------- | ------- | ------- | ------- |:-----:|
| [**`Core`**](https://github.com/WebArtWork/waw-core) | Core waw functionalities for handling project | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/waw-core)](https://github.com/WebArtWork/waw-core/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/waw-core)](https://github.com/WebArtWork/waw-core/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/waw-core)](https://github.com/WebArtWork/waw-core/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/waw-core)](https://github.com/WebArtWork/waw-core/blob/master/LICENSE)
| [**`SEM`**](https://github.com/WebArtWork/waw-sem) | Sockets, Express and Mongodb tech stack | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/sem)](https://github.com/WebArtWork/waw-sem/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/sem)](https://github.com/WebArtWork/waw-sem/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/sem)](https://github.com/WebArtWork/waw-sem/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/sem)](https://github.com/WebArtWork/waw-sem/blob/master/LICENSE)
| [**`Angular`**](https://github.com/WebArtWork/waw-angular) | waw module to support Angular clinet | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/waw-angular)](https://github.com/WebArtWork/waw-angular/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/waw-angular)](https://github.com/WebArtWork/waw-angular/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/waw-angular)](https://github.com/WebArtWork/waw-angular/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/waw-angular)](https://github.com/WebArtWork/waw-angular/blob/master/LICENSE)
| [**`Template`**](https://github.com/WebArtWork/waw-template) | Server Side Render for crawlers | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/waw-template)](https://github.com/WebArtWork/waw-template/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/waw-template)](https://github.com/WebArtWork/waw-template/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/waw-template)](https://github.com/WebArtWork/waw-template/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/waw-template)](https://github.com/WebArtWork/waw-template/blob/master/LICENSE)

## Popular Projects
| Part | Description | Issues | Forks | Stars | License |
| ------- | ------- | ------- | ------- | ------- |:-----:|
| [**`Angular`**](https://github.com/WebArtWork/ngx-default) | Default Angular project with basic structure and wacom module. | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/ngx-default)](https://github.com/WebArtWork/ngx-default/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/ngx-default)](https://github.com/WebArtWork/ngx-default/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/ngx-default)](https://github.com/WebArtWork/ngx-default/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/ngx-default)](https://github.com/WebArtWork/ngx-default/blob/master/LICENSE)
| [**`Template`**](https://github.com/WebArtWork/wjst-default) | Default Template project with basic structure. | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/wjst-default)](https://github.com/WebArtWork/wjst-default/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/wjst-default)](https://github.com/WebArtWork/wjst-default/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/wjst-default)](https://github.com/WebArtWork/wjst-default/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/wjst-default)](https://github.com/WebArtWork/wjst-default/blob/master/LICENSE)
| [**`Server`**](https://github.com/WebArtWork/waw-default) | Default waw Server project with basic structure. | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/waw-default)](https://github.com/WebArtWork/waw-default/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/waw-default)](https://github.com/WebArtWork/waw-default/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/waw-default)](https://github.com/WebArtWork/waw-default/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/waw-default)](https://github.com/WebArtWork/waw-default/blob/master/LICENSE)
| [**`Server with Angular and Template`**](https://github.com/WebArtWork/ngx-platform) | Platform build with waw Angular, Server and Template. | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/ngx-platform)](https://github.com/WebArtWork/ngx-platform/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/ngx-platform)](https://github.com/WebArtWork/ngx-platform/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/ngx-platform)](https://github.com/WebArtWork/ngx-platform/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/ngx-platform)](https://github.com/WebArtWork/ngx-platform/blob/master/LICENSE)

## Contributing
Thanks for your interest in contributing! Read up on our guidelines for
[contributing](https://github.com/WebArtWork/waw/CONTRIBUTING.md)
and then look through our issues with a [help wanted](https://github.com/WebArtWork/waw/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22)
label.
